Package org.pushingpixels.substance.internal.ui

# Class SubstanceTableUI.TableStateListener

java.lang.Object
org.pushingpixels.substance.internal.ui.SubstanceTableUI.TableStateListener

All Implemented Interfaces:
  `EventListener`, `ListSelectionListener`, `RowSorterListener`, `TableModelListener`

Enclosing class:
  `SubstanceTableUI`

protected class SubstanceTableUI.TableStateListener extends Object implements ListSelectionListener, TableModelListener, RowSorterListener
State listener for tracking the selection changes.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TableStateListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`sorterChanged(RowSorterEvent e)`
`void`
`tableChanged(TableModelEvent e)`
`void`
`valueChanged(ListSelectionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableStateListener

protected TableStateListener()

## Method Details

### valueChanged

public void valueChanged(ListSelectionEvent e)

Specified by:
  `valueChanged` in interface `ListSelectionListener`

### tableChanged

public void tableChanged(TableModelEvent e)

Specified by:
  `tableChanged` in interface `TableModelListener`

### sorterChanged

public void sorterChanged(RowSorterEvent e)

Specified by:
  `sorterChanged` in interface `RowSorterListener`